Bug 100501 - Knotify crashes in a loop
Knotify crashes in a loop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-22 18:44 EDT by Davide Bolcioni
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 07:10:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2003-07-22 18:44:32 EDT
Description of problem: Configuring arts to "Exchange security and reference
info over the X11 server" in the KDE Control Panel (kcontrol) hoses the KDE
session: mcop cannot find an implementation Arts::X11GlobalComm and knotify
enters a loop reporting that ... knotify crashed. A new instance of knotify pops
up, starting at <1> and going up to <36> before I terminated the session, every
few seconds.

Version-Release number of selected component (if applicable): 3.1-11

How reproducible: Configure runlevel 3 and switchdesk to kde, then startx.
Please note I used 'startx -- -dpi 100x100 -nolisten tcp'.

Steps to Reproduce:
1. startx into the KDE session
2. Go into KDE Control Center
3. Pick sound, configure to "Exchange security and reference info over the X11
   server"
4. Exit KDE session
5. Try startx again
    
Actual results: Knotify reports that an application crashed (first instance) and
then reports that knotify crashed, looping over itself every few seconds.

Expected results: Normal start of sessions, possibly without sound.

Additional info: I traced the problem to MCOP being unable to find an
implementation for Arts::X11GlobalComm. It looks for
/usr/lib/libx11globalcomm.la and fails to find it.

To get a working KDE session back, hand edit .mcoprc and
.kde/share/config/kcmartsrc.

Searching Bugzilla for X11GlobalComm shows that the missing .la might have been
missing for some time (maybe a forgotten dependency) as there are 3 bugs
reported; I guess that prelinking might be behind this behavior of knotify.
Comment 1 Ngo Than 2004-07-19 07:10:26 EDT
it's fixed in FC1/FC2

Note You need to log in before you can comment on or make changes to this bug.